#pragma once

#include "CoreMinimal.h"
#include "DBDTunableRowHandle.h"
#include "SnowballProjectileLaunchSettings.generated.h"

USTRUCT(BlueprintType)
struct FSnowballProjectileLaunchSettings
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FDBDTunableRowHandle LaunchSpeed;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FDBDTunableRowHandle GravityScale;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FDBDTunableRowHandle BaseLaunchPitch;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FDBDTunableRowHandle PitchOffsetSurvivorFemale;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FDBDTunableRowHandle PitchOffsetSurvivorMale;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FDBDTunableRowHandle PitchOffsetKiller;

public:
	WINTEREVENT2023_API FSnowballProjectileLaunchSettings();
};

FORCEINLINE uint32 GetTypeHash(const FSnowballProjectileLaunchSettings) { return 0; }
